using Newtonsoft.Json;
using _Core;

namespace _Combo
{
    internal class ServerCredential
    {
        internal class Seayoo : Credential
        {
            [JsonProperty("user_id")]
            public string userId;
            [JsonProperty("token")]
            public string token;
        }

        internal class TapTap : Credential
        {
            [JsonProperty("kid")]
            public string kid;

            [JsonProperty("mac_key")]
            public string macKey;

            [JsonProperty("age_range")]
            public int ageRange;
        }

        internal class Lenovo : Credential
        {
            [JsonProperty("st")]
            public string st;

            [JsonProperty("is_authened")]
            public bool isAuthened;

            [JsonProperty("age")]
            public int age;
        }

        internal class Credential : Serializable { }
    }

}
